import { ExtractPropTypes } from 'vue';
import Column from './components/table-column';
import { tableProps } from './props';
export type TableProps = Partial<ExtractPropTypes<typeof tableProps>>;
export type { Column as TableIColumn, Settings as TableSettings } from './props';
declare const BkTable: {
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<ExtractPropTypes<{
        data: import("vue-types").VueTypeDef<any[]> & {
            default: () => any[];
        };
        columns: import("vue-types").VueTypeDef<import("./props").Column[]> & {
            default: () => import("./props").Column[];
        };
        activeColumn: import("vue-types").VueTypeDef<number | number[]>;
        columnPick: import("vue-types").VueTypeDef<"single" | "disabled" | "multi"> & {
            default: "single" | "disabled" | "multi";
        };
        height: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        stripe: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        minHeight: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        maxHeight: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        rowHeight: import("vue-types").VueTypeDef<import("./props").RowHeightFunctionNumber>;
        headHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        showHead: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        sortValFormat: import("vue-types").VueTypeDef<any[]> & {
            default: () => any[];
        };
        thead: import("vue-types").VueTypeDef<import("./props").Thead> & {
            default: () => import("./props").Thead;
        };
        virtualEnabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        border: import("vue-types").VueTypeDef<string | ("col" | "none" | "row" | "horizontal" | "outer")[]> & {
            default: string | (() => ("col" | "none" | "row" | "horizontal" | "outer")[]);
        };
        pagination: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
            default: boolean | (() => Record<string, any>);
        };
        paginationHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        remotePagination: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        acrossAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        emptyText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        };
        emptyCellText: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        isEmptyCell: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        settings: import("vue-types").VueTypeDef<import("./props").ISettingPropType>;
        rowClass: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        rowStyle: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        cellStyle: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        cellClass: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        scrollLoading: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
            default: boolean | (() => Record<string, any>);
        };
        reserveExpand: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        selectionKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        checked: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
            default: () => unknown[];
        } & {
            default: () => unknown[];
        };
        isSelectedFn: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
            default: (...args: any[]) => any;
        } & {
            default: (...args: any[]) => any;
        };
        rowKey: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        showOverflowTooltip: import("vue-types").VueTypeDef<import("./props").IOverflowTooltipProp>;
        asyncData: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        rowHover: import("vue-types").VueTypeDef<import("./const").ROW_HOVER> & {
            default: import("./const").ROW_HOVER;
        };
        defaultSort: import("vue-types").VueTypeShape<import("./props").ISortOption> & {
            default: () => Partial<import("./props").ISortOption>;
        };
        isRowSelectEnable: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        resizerWay: import("vue-types").VueTypeDef<"debounce" | "throttle">;
        observerResize: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        intersectionObserver: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        align: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
        headerAlign: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
        prependStyle: import("vue-types").VueTypeDef<import("vue").CSSProperties> & {
            default: () => import("vue").CSSProperties;
        };
        colSortBehavior: import("vue-types").VueTypeDef<import("./props").IColSortBehavior>;
        isFlex: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        rowDraggable: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        shiftMultiChecked: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        scrollbar: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        fixedBottom: import("vue-types").VueTypeDef<import("./props").FixedBottomOption> & {
            default: () => import("./props").FixedBottomOption;
        };
        appendLastRow: import("vue-types").VueTypeDef<import("./props").AppendLastRowOption>;
    }>> & Readonly<{}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        data: any[];
        thead: import("./props").Thead;
        height: string | number;
        scrollbar: boolean;
        border: string | ("col" | "none" | "row" | "horizontal" | "outer")[];
        maxHeight: string | number;
        minHeight: string | number;
        columns: import("./props").Column[];
        pagination: boolean | Record<string, any>;
        checked: unknown[];
        emptyText: string;
        rowKey: any;
        scrollLoading: boolean | Record<string, any>;
        cellClass: any;
        headHeight: number;
        columnPick: "single" | "disabled" | "multi";
        stripe: boolean;
        showHead: boolean;
        sortValFormat: any[];
        virtualEnabled: boolean;
        paginationHeight: number;
        remotePagination: boolean;
        acrossAll: boolean;
        emptyCellText: any;
        isEmptyCell: any;
        rowClass: any;
        rowStyle: any;
        cellStyle: any;
        reserveExpand: boolean;
        selectionKey: string;
        isSelectedFn: (...args: any[]) => any;
        asyncData: boolean;
        rowHover: import("./const").ROW_HOVER;
        defaultSort: import("./props").ISortOption;
        isRowSelectEnable: any;
        observerResize: boolean;
        intersectionObserver: boolean;
        prependStyle: import("vue").CSSProperties;
        isFlex: boolean;
        rowDraggable: any;
        shiftMultiChecked: boolean;
        fixedBottom: import("./props").FixedBottomOption;
    }, true, {}, {}, import("vue").GlobalComponents, {
        bkTooltips: import("vue").ObjectDirective<any, any, string, any>;
    } & import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<ExtractPropTypes<{
        data: import("vue-types").VueTypeDef<any[]> & {
            default: () => any[];
        };
        columns: import("vue-types").VueTypeDef<import("./props").Column[]> & {
            default: () => import("./props").Column[];
        };
        activeColumn: import("vue-types").VueTypeDef<number | number[]>;
        columnPick: import("vue-types").VueTypeDef<"single" | "disabled" | "multi"> & {
            default: "single" | "disabled" | "multi";
        };
        height: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        stripe: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        minHeight: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        maxHeight: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        rowHeight: import("vue-types").VueTypeDef<import("./props").RowHeightFunctionNumber>;
        headHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        showHead: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        sortValFormat: import("vue-types").VueTypeDef<any[]> & {
            default: () => any[];
        };
        thead: import("vue-types").VueTypeDef<import("./props").Thead> & {
            default: () => import("./props").Thead;
        };
        virtualEnabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        border: import("vue-types").VueTypeDef<string | ("col" | "none" | "row" | "horizontal" | "outer")[]> & {
            default: string | (() => ("col" | "none" | "row" | "horizontal" | "outer")[]);
        };
        pagination: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
            default: boolean | (() => Record<string, any>);
        };
        paginationHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        remotePagination: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        acrossAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        emptyText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        };
        emptyCellText: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        isEmptyCell: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        settings: import("vue-types").VueTypeDef<import("./props").ISettingPropType>;
        rowClass: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        rowStyle: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        cellStyle: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        cellClass: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        scrollLoading: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
            default: boolean | (() => Record<string, any>);
        };
        reserveExpand: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        selectionKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        checked: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
            default: () => unknown[];
        } & {
            default: () => unknown[];
        };
        isSelectedFn: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
            default: (...args: any[]) => any;
        } & {
            default: (...args: any[]) => any;
        };
        rowKey: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        showOverflowTooltip: import("vue-types").VueTypeDef<import("./props").IOverflowTooltipProp>;
        asyncData: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        rowHover: import("vue-types").VueTypeDef<import("./const").ROW_HOVER> & {
            default: import("./const").ROW_HOVER;
        };
        defaultSort: import("vue-types").VueTypeShape<import("./props").ISortOption> & {
            default: () => Partial<import("./props").ISortOption>;
        };
        isRowSelectEnable: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        resizerWay: import("vue-types").VueTypeDef<"debounce" | "throttle">;
        observerResize: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        intersectionObserver: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        align: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
        headerAlign: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
        prependStyle: import("vue-types").VueTypeDef<import("vue").CSSProperties> & {
            default: () => import("vue").CSSProperties;
        };
        colSortBehavior: import("vue-types").VueTypeDef<import("./props").IColSortBehavior>;
        isFlex: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        rowDraggable: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        shiftMultiChecked: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        scrollbar: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        fixedBottom: import("vue-types").VueTypeDef<import("./props").FixedBottomOption> & {
            default: () => import("./props").FixedBottomOption;
        };
        appendLastRow: import("vue-types").VueTypeDef<import("./props").AppendLastRowOption>;
    }>> & Readonly<{}>, () => JSX.Element, {}, {}, {}, {
        data: any[];
        thead: import("./props").Thead;
        height: string | number;
        scrollbar: boolean;
        border: string | ("col" | "none" | "row" | "horizontal" | "outer")[];
        maxHeight: string | number;
        minHeight: string | number;
        columns: import("./props").Column[];
        pagination: boolean | Record<string, any>;
        checked: unknown[];
        emptyText: string;
        rowKey: any;
        scrollLoading: boolean | Record<string, any>;
        cellClass: any;
        headHeight: number;
        columnPick: "single" | "disabled" | "multi";
        stripe: boolean;
        showHead: boolean;
        sortValFormat: any[];
        virtualEnabled: boolean;
        paginationHeight: number;
        remotePagination: boolean;
        acrossAll: boolean;
        emptyCellText: any;
        isEmptyCell: any;
        rowClass: any;
        rowStyle: any;
        cellStyle: any;
        reserveExpand: boolean;
        selectionKey: string;
        isSelectedFn: (...args: any[]) => any;
        asyncData: boolean;
        rowHover: import("./const").ROW_HOVER;
        defaultSort: import("./props").ISortOption;
        isRowSelectEnable: any;
        observerResize: boolean;
        intersectionObserver: boolean;
        prependStyle: import("vue").CSSProperties;
        isFlex: boolean;
        rowDraggable: any;
        shiftMultiChecked: boolean;
        fixedBottom: import("./props").FixedBottomOption;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<ExtractPropTypes<{
    data: import("vue-types").VueTypeDef<any[]> & {
        default: () => any[];
    };
    columns: import("vue-types").VueTypeDef<import("./props").Column[]> & {
        default: () => import("./props").Column[];
    };
    activeColumn: import("vue-types").VueTypeDef<number | number[]>;
    columnPick: import("vue-types").VueTypeDef<"single" | "disabled" | "multi"> & {
        default: "single" | "disabled" | "multi";
    };
    height: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    stripe: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    minHeight: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    maxHeight: import("vue-types").VueTypeDef<string | number> & {
        default: string | number;
    };
    rowHeight: import("vue-types").VueTypeDef<import("./props").RowHeightFunctionNumber>;
    headHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    showHead: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    sortValFormat: import("vue-types").VueTypeDef<any[]> & {
        default: () => any[];
    };
    thead: import("vue-types").VueTypeDef<import("./props").Thead> & {
        default: () => import("./props").Thead;
    };
    virtualEnabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    border: import("vue-types").VueTypeDef<string | ("col" | "none" | "row" | "horizontal" | "outer")[]> & {
        default: string | (() => ("col" | "none" | "row" | "horizontal" | "outer")[]);
    };
    pagination: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
        default: boolean | (() => Record<string, any>);
    };
    paginationHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    remotePagination: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    acrossAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    emptyText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    emptyCellText: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    isEmptyCell: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    settings: import("vue-types").VueTypeDef<import("./props").ISettingPropType>;
    rowClass: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    rowStyle: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    cellStyle: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    cellClass: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    scrollLoading: import("vue-types").VueTypeDef<boolean | Record<string, any>> & {
        default: boolean | (() => Record<string, any>);
    };
    reserveExpand: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    selectionKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    checked: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
        default: () => unknown[];
    } & {
        default: () => unknown[];
    };
    isSelectedFn: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    rowKey: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    showOverflowTooltip: import("vue-types").VueTypeDef<import("./props").IOverflowTooltipProp>;
    asyncData: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    rowHover: import("vue-types").VueTypeDef<import("./const").ROW_HOVER> & {
        default: import("./const").ROW_HOVER;
    };
    defaultSort: import("vue-types").VueTypeShape<import("./props").ISortOption> & {
        default: () => Partial<import("./props").ISortOption>;
    };
    isRowSelectEnable: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    resizerWay: import("vue-types").VueTypeDef<"debounce" | "throttle">;
    observerResize: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    intersectionObserver: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    align: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
    headerAlign: import("vue-types").VueTypeDef<"" | "right" | "left" | "center">;
    prependStyle: import("vue-types").VueTypeDef<import("vue").CSSProperties> & {
        default: () => import("vue").CSSProperties;
    };
    colSortBehavior: import("vue-types").VueTypeDef<import("./props").IColSortBehavior>;
    isFlex: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    rowDraggable: import("vue-types").VueTypeDef<any> & {
        default: any;
    };
    shiftMultiChecked: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    scrollbar: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    fixedBottom: import("vue-types").VueTypeDef<import("./props").FixedBottomOption> & {
        default: () => import("./props").FixedBottomOption;
    };
    appendLastRow: import("vue-types").VueTypeDef<import("./props").AppendLastRowOption>;
}>> & Readonly<{}>, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    data: any[];
    thead: import("./props").Thead;
    height: string | number;
    scrollbar: boolean;
    border: string | ("col" | "none" | "row" | "horizontal" | "outer")[];
    maxHeight: string | number;
    minHeight: string | number;
    columns: import("./props").Column[];
    pagination: boolean | Record<string, any>;
    checked: unknown[];
    emptyText: string;
    rowKey: any;
    scrollLoading: boolean | Record<string, any>;
    cellClass: any;
    headHeight: number;
    columnPick: "single" | "disabled" | "multi";
    stripe: boolean;
    showHead: boolean;
    sortValFormat: any[];
    virtualEnabled: boolean;
    paginationHeight: number;
    remotePagination: boolean;
    acrossAll: boolean;
    emptyCellText: any;
    isEmptyCell: any;
    rowClass: any;
    rowStyle: any;
    cellStyle: any;
    reserveExpand: boolean;
    selectionKey: string;
    isSelectedFn: (...args: any[]) => any;
    asyncData: boolean;
    rowHover: import("./const").ROW_HOVER;
    defaultSort: import("./props").ISortOption;
    isRowSelectEnable: any;
    observerResize: boolean;
    intersectionObserver: boolean;
    prependStyle: import("vue").CSSProperties;
    isFlex: boolean;
    rowDraggable: any;
    shiftMultiChecked: boolean;
    fixedBottom: import("./props").FixedBottomOption;
}, {}, string, {}, import("vue").GlobalComponents, {
    bkTooltips: import("vue").ObjectDirective<any, any, string, any>;
} & import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (import("vue").Plugin & Readonly<{
    Column: import("vue").DefineComponent<{
        fixed?: boolean | "right" | "left";
        minWidth?: string | number;
        resizable?: boolean;
        index?: number;
        columnKey?: string;
        colspan?: import("./props").SpanFunctionString;
        rowspan?: import("./props").SpanFunctionString;
        sort?: import("./props").ISortPropShape;
        filter?: import("./props").IFilterPropShape;
        type?: "index" | "expand" | "__COL_TYPE_NONE" | "selection";
        render?: import("./props").RenderFunctionString;
        label?: import("./props").LabelFunctionString;
        width?: string | number;
        className?: import("./props").RowClassFunctionString;
        align?: "" | "right" | "left" | "center";
        showOverflowTooltip?: import("./props").IOverflowTooltipProp;
        field?: import("./props").LabelFunctionString;
        prop?: import("./props").LabelFunctionString;
    }, void, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
        fixed?: boolean | "right" | "left";
        minWidth?: string | number;
        resizable?: boolean;
        index?: number;
        columnKey?: string;
        colspan?: import("./props").SpanFunctionString;
        rowspan?: import("./props").SpanFunctionString;
        sort?: import("./props").ISortPropShape;
        filter?: import("./props").IFilterPropShape;
        type?: "index" | "expand" | "__COL_TYPE_NONE" | "selection";
        render?: import("./props").RenderFunctionString;
        label?: import("./props").LabelFunctionString;
        width?: string | number;
        className?: import("./props").RowClassFunctionString;
        align?: "" | "right" | "left" | "center";
        showOverflowTooltip?: import("./props").IOverflowTooltipProp;
        field?: import("./props").LabelFunctionString;
        prop?: import("./props").LabelFunctionString;
    }> & Readonly<{}>, {
        fixed: boolean | "right" | "left";
        minWidth: string | number;
        resizable: boolean;
        index: number;
        columnKey: string;
        colspan: import("./props").SpanFunctionString;
        rowspan: import("./props").SpanFunctionString;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}>);
export default BkTable;
export { BkTable, Column as BkTableColumn };
